import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}specslist`, { data });
};
export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}specsedit`, { data });
};
export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}specscreate`, { data });
};
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}specsstatus`, { data });
};
export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}specsdelete`, { data });
};
