import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}businesslist`, { data });
};

export const httpInfo = (data: object): any => {
  return http.request("post", `${yewuApi}businesssinfo`, { data });
};

export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}channeladd`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}businessedit`, { data });
};

export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}businessstatus`, { data });
};
