import { createTooltip } from "/@/utils/tootip"

export const goodColumns = [
  { label: '调整单编号', field: 'checkCode' },
  { label: '来源单号', field: 'code' },
  { label: '发票明细ID', field: 'itemid' },
  { label: '创建人', field: 'check_uname' },
  {
    label: '商品名称',
    span: 12,
    render(_, row) {
      return createTooltip(row.goodName, '商品编号:' + row.goodNo)
    }
  },
  {
    label: '购买方公司',
    span: 12,
    render(_, row) {
      return createTooltip(row.company_name, '购买方公司纳税号:' + row.company_code)
    }
  },
  { label: '税前单价', field: 'subprice' },
  { label: '税后单价', field: 'price' },
  { label: '调整数量', field: 'num' },
  { label: '调整金额', field: 'check_fee' },
  { label: '规格', field: 'spec' },
  { label: '单位', field: 'unit' },
]



export const orderGoodColumns = []