import { statusOptions } from "./shared";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "创建开始时间",
        endPlaceholder: "创建结束时间"
      }
    },
    {
      field: 'orderCode',
      placeholder: '销售单编号',
      type: 'input'
    },
    {
      field: 'goodNo',
      placeholder: '订单商品编号',
      type: 'input'
    },
    {
      field: 'status',
      placeholder: '状态',
      options: statusOptions,
      type: 'select'
    },
  ]
};

export default searchFormConfig;
