import { statusOptions } from "./shared";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: 'inv_seller_code',
      type: 'inv-out-query',
      placeholder: '发票销售方公司'
    },
    {
      field: 'status',
      placeholder: '状态',
      options: statusOptions,
      type: 'select'
    },
    // {
    //   field: 'inv_buyer_code',
    //   type:'inv-in-query',
    //   placeholder:'发票购买方公司'
    // },
  ]
};

export default searchFormConfig;
