import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL, VITE_WORKORDER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

const newApi = VITE_WORKORDER_REAL

interface ResponseType extends Promise<any> {
    data?: object; code?: number; msg?: string;
}

// 列表
export const httpList = (data: object): ResponseType => {
    return http.request("post", `${newApi}/cxinv/FinancialSeal/getQuery`, { data });
};