export const colors = {
  // 已完成节点
  start: {
    background: '#e5fff5',
    border: '#a2e9d6'
  },
  // 进行中节点
  process: {
    background: '#d1e9ff',
    border: '#afcaff'
  },
  // 未开始节点
  end: {
    background: '#e7faf0',
    border: 'rgb(19, 206, 102)'
  }
}

// 横向中间位置
export const START_X = 100
// 横向间隔
export const GAP_X = 260

// 纵向起始位置
export const START_Y = 40
// 纵向间隔
export const GAP_Y = 80

export enum MODE {
  PRODUCT_ADJUST = '商品ID :', //商品
  PRODUCT = '商品ID:', //商品
  IN = '入库ID:', // 入库
  OUT = '出库ID:', // 出库
  PROVISION = '计提待处理ID:', // 计提
  ADJUST = '调整单ID:', // 调整单
  CHECK = '盘点ID:', // 调整单
}


export const mapModeToRoute = {
  [MODE.PRODUCT]: '/invoiceInOut/productManagerDetail',
  [MODE.PROVISION]: '/invoiceInOut/provisionOutDetail',
  [MODE.ADJUST]: '/invoiceInOut/adjustOrderDetail',
  [MODE.PRODUCT_ADJUST]: '/invoiceInOut/productManagerDetail'
} 