import { GAP_X, GAP_Y, MODE, START_X, START_Y } from "./config";

export function createNode(id: string, mode: MODE, step: number, deep: number){
    return {
        id: mode + id,
        type: "StartTask",
        x: START_X + (step * GAP_X),
        y: START_Y + (deep * GAP_Y),
        text: mode + id
    }
}


export function createEdge(sourceNodeId, targetNodeId, type = 'dashe-edge') {
    return {
        sourceNodeId,
        targetNodeId,
        isHitable: false,
        type
    }
}