
import { PolylineEdge, PolylineEdgeModel } from '@logicflow/core'

class CustomEdgeModel extends PolylineEdgeModel {
    // customTextPosition = true;
    initEdgeData(data) {
        super.initEdgeData(data)
        this.customTextPosition = true
        this.zIndex = -1
    }
    getEdgeStyle() {
        const style = super.getEdgeStyle()
        style.stroke = '#000'
        style.strokeDasharray = '5 5'
        style.strokeWidth = 1
        return style
    }
}

class CustomEdge extends PolylineEdge { }

export default {
    type: 'dashe-edge',
    model: CustomEdgeModel,
    view: CustomEdge
}
