import { FormConfig } from "/@/components/PageSearch";
import { goodTypeOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: 'goodNo',
      type: 'input',
      placeholder: '商品编码'
    },
    {
      field: 'goodType',
      type: 'select',
      options: goodTypeOptions,
      placeholder: '商品类型'
    },
    {
      field: "timer",
      type: "date_picker",
      span: 7,
      label: '创建时间',
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
  ]
};

export default searchFormConfig;
