import { h } from "vue"
import { createTooltip } from "/@/utils/tootip"
import { ElTag } from "element-plus"
import { typeOptions } from "./shared"

export const inventoryCheckDetail = [
  // {
  //   span: 12,
  //   field: 'buyer_name',
  //   label: '购买方公司',
  //   render(_, { product }) {
  //     return createTooltip(product.buyer_name, '购买方公司编号:' + product.buyer_code, 300)
  //   }
  // },
  // {
  //   span: 12,
  //   field: 'seller_name',
  //   label: '销售方公司',
  //   render(_, { product }) {
  //     return createTooltip(product.seller_name, '销售方公司编号:' + product.seller_code, 300)
  //   }
  // },
  {
    span: 6,
    label: '盘点编号',
    field: 'checkCode'
  },
  {
    span: 6,
    label: '盘点类型',
    render(_, row){
      return h(ElTag, { size: 'small' }, {
        default: () => typeOptions.find(({ value }) => value == row.check_type)?.label
      })
    }
  },
  {
    span: 6,
    label: '操作人',
    field: 'apply_name'
  },
  {
    span: 6,
    label: '创建时间',
    field: 'create_time'
  },
  {
    span: 6,
    label: '调整单入账月份',
    field: 'fz_date'
  },
  {
    span: 6,
    label: '账面数量',
    field: 'stock_num'
  },
  {
    span: 6,
    label: '盘点数量',
    field: 'check_num'
  },
  {
    span: 6,
    label: '盘亏数量',
    field: 'diff_num'
  },
]