import { FormConfig } from "/@/components/PageSearch";
import { goodTypeOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      span: 7,
      label: '创建时间',
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    // {
    //   field: 'TODO',
    //   type: 'business-query',
    //   options: goodTypeOptions,
    //   placeholder: '业务公司'
    // },
    {
      field: 'skuCode',
      type: 'input',
      placeholder: '商品编码'
    },
  ]
};

export default searchFormConfig;
