import { statusOptions } from "./shared";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      span: 7,
      label: '创建时间',
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: 'status',
      placeholder: '状态',
      options: statusOptions,
      type: 'select'
    },
  ]
};

export default searchFormConfig;
