import { statusOptions } from "./columns";
import { FormConfig } from "/@/components/PageSearch";
import { goodTypeOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "fz_date",
      type: "date_picker",
      span: 7,
      otherOptions: {
        type: 'month',
        placeholder: '记账月份',
        valueFormat: 'YYYY-MM',
        format: 'YYYY-MM'
      }
    },
    // {
    //   field: 'goodNo',
    //   type: 'input',
    //   placeholder: '商品编码'
    // },
    {
      field: 'status',
      type: 'select',
      placeholder: '状态',
      options: statusOptions
    },
    // {
    //   field: 'goodType',
    //   type: 'select',
    //   options: goodTypeOptions,
    //   placeholder: '商品类型'
    // }
  ]
};

export default searchFormConfig;
